Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#519 closed enhancement (fixed)

please update qgis and qgis-grass-plugin7 for GRASS 7.0.5

Reported by: saultdon Owned by: osgeo4w-dev@…
Priority: blocker Component: Package
Version: Keywords: qgis qgis-grass-plugin7 grass
Cc:

Description

Looks like the current version of qgis (2.16.3-1) and the qgis-grass-plugin7 (2.16.3-1) in the OSGeo4W 64-bit installer are compiled against GRASS 7.0.4 and could be re-compiled against GRASS 7.0.5 (current release).

Without it, users have to downgrade GRASS to 7.0.4 without knowing why the plugin breaks or that qgis browser can no longer add grass layers to the map canvas. when the OSGeo4W installer automatically upgrades them to GRASS 7.0.5.

Change History (7)

comment:1 Changed 3 years ago by jef

Until the next qgis point release you can use the nightlies (qgis-ltr-dev, qgis-rel-dev).

comment:2 Changed 3 years ago by saultdon

Hey jef, will the qgis-grass-plugin7 package work for qgis-rel-dev?

comment:3 Changed 3 years ago by saultdon

I'm trying to install qgis-rel-dev and it keeps trying to pull in GRASS 6 as a dependency. Is that a bug I should file separately and request that it instead use GRASS 7 as a dep?

comment:4 Changed 3 years ago by jef

Both grass plugins are included in the nightlies.

comment:5 Changed 3 years ago by saultdon

But why does it use grass6 instead of grass7 as a dep? Or are you saying that it uses grass plugins 6 and 7?

Last edited 3 years ago by saultdon (previous) (diff)

comment:6 in reply to:  5 Changed 3 years ago by jef

Replying to saultdon:

But why does it use grass6 instead of grass7 as a dep? Or are you saying that it uses grass plugins 6 and 7?

yes, in the -dev packages qgis is not split into subpackages and contain everything (including both the grass 6 and 7 plugin).

But the dependency of the x86_64 packages to grass6 dated back from the time when grass 7 was only available in x86. Fixed now.

comment:7 Changed 3 years ago by jef

Resolution: fixed
Status: newclosed

Fixed with new releases.

Last edited 3 years ago by jef (previous) (diff)
Note: See TracTickets for help on using tickets.